### Function

# Geglmemeq_zero

#### Declaration [src]

    gboolean
    gegl_memeq_zero (
      gconstpointer ptr,
      gsize size
    )

#### Description [src]

Checks if all the bytes of the memory block `ptr`, of size `size`, are equal to zero.

This function is not directly available to language bindings.

#### Parameters

`ptr`

  Type: `gconstpointer`

  Pointer to the memory block.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`size`

  Type: `gsize`

  Block size.

#### Return value

Type: `gboolean`

TRUE if all the bytes are equal to zero.